upstream envoy {
    server ${ENVOY_IP}:443;
}

server {
    listen 80;

    server_name envoy;
    proxy_set_header Host $host;
    proxy_set_header Authorization "Bearer ${ENVOY_TOKEN}";

    location / {
        proxy_pass https://envoy;
    }
}

server {
    listen 443 ssl;

    ssl_certificate /etc/ssl/certs/selfsigned.crt;
    ssl_certificate_key /etc/ssl/private/selfsigned.key;

    server_name envoy;
    proxy_set_header Host $host;
    proxy_set_header Authorization "Bearer ${ENVOY_TOKEN}";

    location / {
        proxy_pass https://envoy;
    }
}